<?php
$data = new Config();

// Create connection
$conn = new mysqli($data->getSQLHost(), $data->getSQLUser(), $data->getSQLPassword(), $data->getSQLDatabase());
mysqli_set_charset($conn, "utf8");

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$result = $conn->query("SELECT * FROM `thw_pi`");


if ($result->num_rows > 0) {
    // output data of each row
    while ($row = $result->fetch_assoc()) {
        ?>
        <section class="section--center mdl-grid mdl-grid--no-spacing mdl-shadow--2dp">
            <div class="mdl-card mdl-cell mdl-cell--12-col mdl-card--border mdl-card__supporting-text">
                <h4 style="text-align: center">Heros <?php echo $row['Ort']; ?></h4>
                <table style="margin-left: auto; margin-right: auto"
                       class="mdl-data-table mdl-js-data-table mdl-shadow--2dp">
                    <thead>
                    <tr>
                        <th class="mdl-data-table__cell--non-numeric">Fahrzeugtyp</th>
                        <th class="mdl-data-table__cell--non-numeric">Funkrufnummer</th>
                        <th>Einheit</th>
                    </tr>
                    </thead>
                    <tbody>

                    <?php

                    $fahrzeuge = $conn->query("SELECT * FROM `thw` WHERE OrtID = " . $row['id'] . " ORDER BY `einheit` ASC");

                    if ($fahrzeuge->num_rows > 0) {
                        while ($frow = $fahrzeuge->fetch_assoc()) {
                            ?>
                            <tr>
                                <td class="mdl-data-table__cell--non-numeric"><?php echo $frow['Fahrzeugtyp'] ?></td>
                                <?php if ($frow['Fahrzeugkennung'] == 0) {
                                    ?>
                                    <td class="mdl-data-table__cell--non-numeric"><?php echo $frow['Organistationskennung'] ?></td>
                                <?php } else if ($frow['Fahrzeugkennung'] > 0) { ?>
                                    <td class="mdl-data-table__cell--non-numeric"><?php echo $frow['Organistationskennung'] . " " . $frow['Fahrzeugkennung'] ?></td>
                                <?php } ?>

                                <td>
                                    <?php
                                    $einheit = $conn->query("SELECT `name` FROM `thw_einheit` WHERE id = " . $frow['Einheit']);
                                    $results = $einheit->fetch_array();
                                    echo ($results['name']);
                                    ?>
                                </td>
                            </tr>
                            <?php
                        }
                    }
                    ?>
                    </tbody>
                </table>
            </div>
        </section>
    <?php }
} ?>